Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229369 - gtk print dialogue spews warnings if cups not running
Summary: gtk print dialogue spews warnings if cups not running
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-20 17:31 UTC by Ian Collier
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-23 17:20:30 UTC


Attachments (Terms of Use)

Description Ian Collier 2007-02-20 17:31:48 UTC
Description of problem:

I guess I'm inviting the response NOTABUG, but:
For many reasons which need not concern us here, cups annoys me and I don't want
it running.  Even if it were running, there wouldn't be any printers configured
in it.  I have an adequate "lpr" client which connects to a networked Solaris
LPD print server.

However, as soon as I open up the "print" dialogue on OpenOffice Writer, I get:

** (swriter.bin:19986): WARNING **: Error result: Too many failed attempts

** (swriter.bin:19986): WARNING **: Error getting printer list: Too many failed
attempts

echoed every couple of seconds for ever more until I quit Writer.  Moreover, it
seems impossible to persuade the dialogue to use "lpr", so I have to save to a
file and then print the file.  I'm not too bothered about that (though it would
be nice), but the warnings are rather over-the-top: if there are too many failed
attempts then surely it should stop trying...

Version-Release number of selected component (if applicable):
gtk2-2.10.8-1.fc6
openoffice.org-writer-2.0.4-5.5.10

How reproducible:
Always

Steps to Reproduce:
1. Stop cups
2. Start oowriter
3. Attempt to print a file
  
Actual results:
Screenfuls of error messages

Expected results:
At most a couple of error messages

Comment 1 Matthias Clasen 2007-04-23 16:09:40 UTC
I will investigate the warnings. As for using lpr, you can do that by adding the
line

gtk-print-backends="lpr,file" 

to /etc/gtk-2.0/gtkrc

Comment 2 Matthias Clasen 2007-04-23 17:20:30 UTC
I've removed the warnings in the upstream code. I'll do an fc6 update when the
next stable GTK+ release is available.


Note You need to log in before you can comment on or make changes to this bug.